Edited at

brewでimagemagickをupgradeしてしまい、rmagickでエラーが出る場合

More than 1 year has passed since last update.

少々ハマったのでメモ。

うっかりbrew upgradeを実行して、imagemagickが7系になってしまうと、rmagickがエラーを吐いて動かなくなる場合があります。そんな場合の対処法

brew unlink imagemagick

brew uninstall imagemagick
brew install imagemagick@6
brew link imagemagick@6 --force

imagemagick@6ってのがバージョン6系で、rmagick用に残してあるみたいです。

ライブラリが絡むbrew upgradeは慎重に、、、